Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.client.oslc.resources
Class OslcQueryResult

    java.lang.Object
      org.eclipse.lyo.client.oslc.resources.OslcQueryResult

All Implemented Interfaces:
  Iterator<OslcQueryResult>

    public class OslcQueryResult

extends Object
implements Iterator<OslcQueryResult>

The results of an OSLC query. If the query was paged, subsequent pages can be retrieved using the Iterator interface. This class is not currently thread safe.

Field Summary
`static com.hp.hpl.jena.rdf.model.Property` | `DEFAULT_MEMBER_PROPERTY` The default member property to look for in OSLC query results (rdfs:member).
`static String` | `SELECT_ANY_MEMBER` If system property "org.eclipse.lyo.client.oslc.query.selectAnyMember" is set to true, find any member in the

Constructor Summary
`OslcQueryResult(OslcQuery query, org.apache.wink.client.ClientResponse response)`

Method Summary
`String` | `getMemberProperty()` Returns the member property to find query result resources.
`
`<T> Iterable<T>`
` | `getMembers(Class<T> clazz)` Return the enumeration of queried results from this page
`String[]` | `getMembersUrls()` Return the subject URLs of the query response.
`OslcQuery` | `getQuery()`
`org.apache.wink.client.ClientResponse` | `getRawResponse()` Get the raw Wink client response to a query.
`boolean` | `hasNext()`
`OslcQueryResult` | `next()`
`void` | `remove()`
`void` | `setMemberProperty(String memberPredicate)` Sets the predicate to use to find query result resources.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_MEMBER_PROPERTY

    public static final com.hp.hpl.jena.rdf.model.Property DEFAULT_MEMBER_PROPERTY

  The default member property to look for in OSLC query results (rdfs:member). Can be changed using `#setMemberProperty(Property)`.

### SELECT_ANY_MEMBER

    public static final String SELECT_ANY_MEMBER

  If system property "org.eclipse.lyo.client.oslc.query.selectAnyMember" is set to true, find any member in the

  See Also:
    Constant Field Values

Constructor Detail

### OslcQueryResult

    public OslcQueryResult(OslcQuery query,
                           org.apache.wink.client.ClientResponse response)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<OslcQueryResult>`
  Returns:
    whether there is another page of results after this

### next

    public OslcQueryResult next()

  Specified by:
    `next` in interface `Iterator<OslcQueryResult>`
  Returns:
    the next page of results
  Throws:
    `NoSuchElementException` - if there is no next page

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<OslcQueryResult>`
  Throws:
    `UnsupportedOperationException` - always

### getQuery

    public OslcQuery getQuery()

### getMemberProperty

    public String getMemberProperty()

  Returns the member property to find query result resources.

  Returns:
    the member property URI
  See Also:
    `setMemberProperty(String)`

### setMemberProperty

    public void setMemberProperty(String memberPredicate)

  Sets the predicate to use to find query result resources. If unset, defaults to `http://www.w3.org/2000/01/rdf-schema#member`.

  Parameters:
    `memberPredicate` - the RDF predicate for member resources from the provider's query shape
  See Also:
    Specifying the sahpe of a query

### getRawResponse

    public org.apache.wink.client.ClientResponse getRawResponse()

  Get the raw Wink client response to a query. NOTE: Using this method and consuming the response will make other methods which examine the response unavailable (Examples: getMemberUrls(), next() and hasNext()). When this method is invoked, the consumer is responsible for OSLC page processing

  Returns:

### getMembersUrls

    public String[] getMembersUrls()

  Return the subject URLs of the query response. The URLs are the location of all artifacts which satisfy the query conditions. NOTE: Using this method consumes the query response and makes other methods which examine the response unavailable (Example: getRawResponse().

  Returns:

### getMembers

    public <T> Iterable<T> getMembers(Class<T> clazz)

  Return the enumeration of queried results from this page

  Parameters:
    `T` -
    `clazz` -
  Returns:
    member statements from current page.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.